xua_as_fsm.h File Reference

Go to the source code of this file.

## Enumerations

enum | xua_as_state { XUA_AS_S_DOWN , XUA_AS_S_INACTIVE , XUA_AS_S_ACTIVE , XUA_AS_S_PENDING }
enum | xua_as_event { XUA_ASPAS_ASP_INACTIVE_IND , XUA_ASPAS_ASP_DOWN_IND , XUA_ASPAS_ASP_ACTIVE_IND , XUA_AS_E_RECOVERY_EXPD , XUA_AS_E_TRANSFER_REQ }

## Functions

struct osmo_fsm_inst * | xua_as_fsm_start (struct osmo_ss7_as *as, int log_level)
| Start an AS FSM for a given Application Server. More...

## Variables

struct osmo_fsm | xua_as_fsm

## Enumeration Type Documentation

## xua_as_event

enum xua_as_event

Enumerator
XUA_ASPAS_ASP_INACTIVE_IND |
XUA_ASPAS_ASP_DOWN_IND |
XUA_ASPAS_ASP_ACTIVE_IND |
XUA_AS_E_RECOVERY_EXPD |
XUA_AS_E_TRANSFER_REQ |

## xua_as_state

enum xua_as_state

Enumerator
XUA_AS_S_DOWN |
XUA_AS_S_INACTIVE |
XUA_AS_S_ACTIVE |
XUA_AS_S_PENDING |

## Function Documentation

## xua_as_fsm_start()

struct osmo_fsm_inst* xua_as_fsm_start | ( | struct osmo_ss7_as * | as,
|  | int | log_level
| ) |  |

Start an AS FSM for a given Application Server.

Parameters

  [in] | as | Application Server for which to start the AS FSM
  [in] | log_level | Logging level for logging of this FSM

Returns
  FSM instance in case of success; NULL in case of error

References xua_as_fsm_priv::as, osmo_ss7_as::cfg, osmo_ss7_as::name, xua_as_fsm_priv::queued_msgs, xua_as_fsm_priv::recovery, xua_as_fsm_priv::t_r, t_r_callback(), and xua_as_fsm.

Referenced by osmo_ss7_as_find_or_create().

## Variable Documentation

## xua_as_fsm

struct osmo_fsm xua_as_fsm

extern

Referenced by osmo_ss7_init(), and xua_as_fsm_start().